> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Roles switch status

> Get the current status of the organization's switch to Custom Roles.
This endpoint returns information about whether the organization has switched to Custom Roles and whether they are allowed to switch.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /org/{org_id}/switch_to_custom_roles
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /org/{org_id}/switch_to_custom_roles:
    get:
      tags:
        - Custom Roles
      summary: Get Custom Roles switch status
      description: >
        Get the current status of the organization's switch to Custom Roles.

        This endpoint returns information about whether the organization has
        switched to Custom Roles and whether they are allowed to switch.
      operationId: getSwitchToCustomRoles
      parameters:
        - $ref: '#/components/parameters/path_org_id'
      responses:
        '200':
          description: Successfully retrieved switch status
          content:
            application/json:
              schema:
                type: object
                properties:
                  org_id:
                    $ref: '#/components/schemas/OrgId'
                  has_switched:
                    type: boolean
                    description: Whether the organization has switched to Custom Roles
                    example: true
                  can_switch:
                    type: boolean
                    description: >-
                      Whether the organization is allowed to switch to Custom
                      Roles
                    example: false
                required:
                  - org_id
                  - has_switched
                  - can_switch
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    path_org_id:
      in: path
      name: org_id
      required: true
      schema:
        type: integer
      description: >
        Unique ID of the organization to which the resource belongs. Only
        `PROVIDER` users can access resources from a different organization than
        their own. If you are not a `PROVIDER`, this will default to the ID of
        your organization.
  schemas:
    OrgId:
      description: Unique identifier of an organization in Partoo.
      type: integer
      example: 42
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````